- Qt 6.7
- Qt 3D
- C++ Classes
- Qt3DRender
- QStencilMask
- Qt 6.7.3 Reference Documentation

# QStencilMask Class

class Qt3DRender::QStencilMask

The QStencilMask class controls the front and back writing of individual bits in the stencil planes. More...

Header: | #include <QStencilMask>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3drender) target_link_libraries(mytarget PRIVATE Qt6::3drender)
qmake: | QT += 3drender
Instantiated By: | StencilMask
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Properties

- backOutputMask : uint
- frontOutputMask : uint

## Public Functions

| QStencilMask(Qt3DCore::QNode *parent = nullptr)
uint | backOutputMask() const
uint | frontOutputMask() const

## Public Slots

void | setBackOutputMask(uint backOutputMask)
void | setFrontOutputMask(uint frontOutputMask)

## Signals

void | backOutputMaskChanged(uint backOutputMask)
void | frontOutputMaskChanged(uint frontOutputMask)

## Detailed Description

A Qt3DRender::QStencilMask class specifies a write mask for the stencil values after the stencil test. Mask can be specified separately for the front-facing and back-facing polygons. The fragment stencil value is and'd with the mask before it is written to the stencil buffer.

See also Qt3DRender::QStencilTest.

## Property Documentation

### backOutputMask : uint

Holds the write mask for the fragment stencil values for back-facing polygons.

Access functions:

uint | backOutputMask() const
void | setBackOutputMask(uint backOutputMask)

Notifier signal:

void | backOutputMaskChanged(uint backOutputMask)

### frontOutputMask : uint

Holds the write mask for the fragment stencil values for front-facing polygons.

Access functions:

uint | frontOutputMask() const
void | setFrontOutputMask(uint frontOutputMask)

Notifier signal:

void | frontOutputMaskChanged(uint frontOutputMask)

## Member Function Documentation

### `[explicit]` QStencilMask::QStencilMask(Qt3DCore::QNode *parent = nullptr)

The constructor creates a new QStencilMask::QStencilMask instance with the specified parent.